<template>
  <div>
      <h2>Car Options API</h2>
      <p>Brand: {{brand}}</p>
      <p>Modelo: {{model}}</p>
      <p>Potencia: {{power}}</p>

      <button @click="upPower(50)">Aumentar</button>
      <button @click="downPower(50)">Disminuir</button>
  </div>
</template>

<script>
export default {
    data() {
        return {
            brand: "Seat",
            model: "Leon",
            power: 50
        }
    },
    methods: {
        upPower(newPower) {
            console.log("Aumentando potencia");
            this.power = this.power + newPower;
            console.log(this.power);
        },
        downPower(newPower) {
            console.log("Bajando potencia");
            this.power = this.power - newPower;
            console.log(this.power);
        }

    }
}
</script>

<style>

</style>